hc_add_series {highcharter} | R Documentation

## Adding and removing series from highchart objects

### Description

Adding and removing series from highchart objects

### Usage

    hc_add_series(hc, ...)

### Arguments

`hc` | A `highchart` `htmlwidget` object.
`...` | Arguments defined in http://api.highcharts.com/highcharts#chart.

### Examples

    data("citytemp")

    hc <- highchart() %>%
      hc_xAxis(categories = citytemp$month) %>%
      hc_add_series(name = "Tokyo", data = citytemp$tokyo) %>%
      hc_add_series(name = "New York", data = citytemp$new_york)

    hc

    hc %>%
      hc_add_series(name = "London", data = citytemp$london, type = "area") %>%
      hc_rm_series(name = "New York")

[Package highcharter version 0.4.0 Index]